curl -X PATCH 'https://api.example.com/resource-scope-links/rsl_0190a1b2-c3d4-7e5f-8a9b-0c1d2e3f4a5b' \
-H 'Authorization: Bearer YOUR_TOKEN' \
-H 'Content-Type: application/json' \
-d '{
"metadata": {
"sharedBy": "user_jane",
"accessLevel": "read-write",
"updatedAt": "2024-01-20T10:00:00Z"
}
}'
{
"id": "rsl_0190a1b2-c3d4-7e5f-8a9b-0c1d2e3f4a5b",
"resourceId": "resource_doc_123",
"scopeId": "scope_sales",
"linkType": "share",
"metadata": {
"sharedBy": "user_jane",
"accessLevel": "read-write",
"updatedAt": "2024-01-20T10:00:00Z"
},
"createdAt": "2024-01-15T10:30:00Z"
}
Resource Scope Links
Update Resource Scope Link
Update a resource scope link
PATCH
/
resource-scope-links
/
{id}
curl -X PATCH 'https://api.example.com/resource-scope-links/rsl_0190a1b2-c3d4-7e5f-8a9b-0c1d2e3f4a5b' \
-H 'Authorization: Bearer YOUR_TOKEN' \
-H 'Content-Type: application/json' \
-d '{
"metadata": {
"sharedBy": "user_jane",
"accessLevel": "read-write",
"updatedAt": "2024-01-20T10:00:00Z"
}
}'
{
"id": "rsl_0190a1b2-c3d4-7e5f-8a9b-0c1d2e3f4a5b",
"resourceId": "resource_doc_123",
"scopeId": "scope_sales",
"linkType": "share",
"metadata": {
"sharedBy": "user_jane",
"accessLevel": "read-write",
"updatedAt": "2024-01-20T10:00:00Z"
},
"createdAt": "2024-01-15T10:30:00Z"
}
Path Parameters
string
required
The resource scope link ID
Request Body
string
Type of link:
share, alias, or mirrorobject
Metadata for this link (replaces existing metadata)
Response
Returns the updated resource scope link object.curl -X PATCH 'https://api.example.com/resource-scope-links/rsl_0190a1b2-c3d4-7e5f-8a9b-0c1d2e3f4a5b' \
-H 'Authorization: Bearer YOUR_TOKEN' \
-H 'Content-Type: application/json' \
-d '{
"metadata": {
"sharedBy": "user_jane",
"accessLevel": "read-write",
"updatedAt": "2024-01-20T10:00:00Z"
}
}'
{
"id": "rsl_0190a1b2-c3d4-7e5f-8a9b-0c1d2e3f4a5b",
"resourceId": "resource_doc_123",
"scopeId": "scope_sales",
"linkType": "share",
"metadata": {
"sharedBy": "user_jane",
"accessLevel": "read-write",
"updatedAt": "2024-01-20T10:00:00Z"
},
"createdAt": "2024-01-15T10:30:00Z"
}
Was this page helpful?
⌘I